> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costory.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update report metadata

> Metadata-only patch (visibility, owner, team, tags). Does not rewrite widgets or destinations.



## OpenAPI

````yaml https://app-api.costory.io/docs/openapi.json patch /reports/{id}/metadata
openapi: 3.0.0
info:
  title: Costory
  version: '1.0'
  description: API Documentation
servers:
  - url: ''
    description: Production server
security: []
paths:
  /reports/{id}/metadata:
    patch:
      tags:
        - Reports
      summary: Update report metadata
      description: >-
        Metadata-only patch (visibility, owner, team, tags). Does not rewrite
        widgets or destinations.
      operationId: updateReportMetadata
      parameters:
        - schema:
            type: string
            format: cuid
          required: true
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                type:
                  type: string
                  enum:
                    - PRIVATE
                    - PUBLIC
                createdById:
                  type: string
                teamId:
                  type: string
                  nullable: true
                tagIds:
                  type: array
                  items:
                    type: string
      responses:
        '204':
          description: Updated
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ReportsForbidden'
                  - $ref: '#/components/schemas/ReportsTeamMemberRequired'
      security:
        - bearerAuth: []
components:
  schemas:
    Unauthorized:
      type: object
      properties:
        error:
          type: string
          description: Unauthorized error message
      required:
        - error
    ReportsForbidden:
      type: object
      properties:
        error:
          type: string
          enum:
            - FORBIDDEN
      required:
        - error
      additionalProperties: false
    ReportsTeamMemberRequired:
      type: object
      properties:
        error:
          type: string
          enum:
            - TEAM_MEMBER_REQUIRED
      required:
        - error
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT or Clerk ak_* API key
      description: >-
        Send `Authorization: Bearer <credential>` using either a Clerk session
        JWT or a Clerk API key (`ak_*`). API keys may identify a user (`user_*`)
        or organization (`org_*`) principal and are generated in the Clerk
        Dashboard under API keys.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.